E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GPop::SecretsImp Class Reference

A private pimple-pattern implementation class used by GPop::Secrets. More...

## Public Member Functions
| SecretsImp (const std::string &path)
std::string | path () const
GAuth::Secret | serverSecret (const std::string &encoding_type, const std::string &id) const
bool | contains (const std::string &mechanism) const

## Public Attributes
std::string | m_path
GAuth::Secrets | m_secrets

## Detailed Description

A private pimple-pattern implementation class used by GPop::Secrets.

The implementation delegates to GSmtp::Secrets.

Definition at line 30 of file gpopsecrets.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopsecrets.cpp